for now i'm trying to build the Docker file of the Ubuntu 22.04 version
as the CI already uses it so i won't need to manually install the version and delete the first one.
and i'll see if it will compile or not
I'm skeptical that your symbol resolution error when building swift-syntax has to do with the host Swift compiler version, though it is certainly possible.
What version of the Swift source from the main branch do you have checked out? If just random commits from main, I recommend checking out the latest trunk tag instead, currently April 12, as you know that has passed the CI and produced an official snapshot toolchain.
For somebody new like you, sticking to the snapshot tags is a safer way to start building.
I've faced this error while building the ubuntu 22.04 dockerfile
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 194 kB of archives.
After this operation, 455 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 curl amd64 7.81.0-1ubuntu1.20 [194 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 194 kB in 1s (206 kB/s)
Selecting previously unselected package curl.
(Reading database ... 26294 files and directories currently installed.)
Preparing to unpack .../curl_7.81.0-1ubuntu1.20_amd64.deb ...
Unpacking curl (7.81.0-1ubuntu1.20) ...
Setting up curl (7.81.0-1ubuntu1.20) ...
gpg: keybox '/tmp/tmp.J3C06Q33nV/pubring.kbx' created
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0
The command '/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_TAG/$SWIFT_TAG-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && curl -fSsL https://swift.org/keys/all-keys.asc | gpg --import - && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && mkdir -p $SWIFT_PREFIX && tar -xzf swift.tar.gz --directory $SWIFT_PREFIX --strip-components=1 && chmod -R o+r $SWIFT_PREFIX/usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl' returned a non-zero code: 2
i took a while to search about its solution but i didn't get any answer or any cause.
how to solve this error and what its main cause ?
Hmmm , i think i didn't download any source code from the release
i just forked the main repo , cloned my repo , and start building.
so if i understand you correctly i didn't look for any version of releases
If you don't intend to sign tarballs that you build, I'd recommend just deleting commands related to GPG from Dockerfile
so that you don't install it or attempt to sign anything.
If you cloning from a fork, you have to make sure that code in your fork is up to date. If it's lagging behind upstream, without creating your own update-checkout
scheme you can't guarantee that relevant repositories are checked out at compatible commits.
sorry but what do you mean by
i think i need to fork the repo now after being busy with the build for some days , but is that mean i should run this command update-checkout --clone-with-ssh
again ?